Bug 170219 - No way to choose default system language during istaller process
No way to choose default system language during istaller process
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-09 05:44 EDT by Matthew Wright
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-11 12:15:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Wright 2005-10-09 05:44:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
Basically the graphical installer does not offer a choice to choose your language like it does in previous redhat/fedora versions.  I have to manually update the following by editing il8n

[root@fc4box sysconfig]# cat il8n
LANG="en_AU.UTF-8"
SYSFONT="latarcyrheb-sun16"
SUPPORTED="en_US.UTF-8:en_US:en"
SUPPORTED="en_AU.UTF-8:en_AU:en:en_US.UTF-8:en_US:en"

This is not something an average person can do.  This should definately be a choice from the installer, it affects printing and all sorts of dependencies if you have your language stuck on US.



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Do a Http/Ftp/Cd/DVD install using anaconda graphical mode installer
2.Run the whole installation process
3. Never get a choice to choose your language(s)
  

Actual Results:  I was stuck with US language and associated dependencies

Expected Results:  I should be able to choose my language and keyboard from a menu in the anaconda installer

Additional info:
Comment 1 Jeremy Katz 2005-10-09 10:30:50 EDT
The default system language is set by the language you install in.  
Comment 2 Matthew Wright 2005-10-09 17:23:37 EDT
You get no option to choose a language during the installer, that is the point
of my bug report. -- I know it sounds unbelievable but the product is majorly
deficient.
Comment 3 Nicholas Miell 2005-10-09 17:36:03 EDT
What mwright is complaining about is that "English (Australia)", "English (New
Zealand)", "English (UK)", etc. aren't language options in the installer.
Comment 4 Jeremy Katz 2005-10-11 12:15:12 EDT
The supported languages are the same as the ones which are available at
install-time.

Note You need to log in before you can comment on or make changes to this bug.